<solidify-button-toolbar-detail [backToListNavigate]="backToHomePageNavigate()"
                                [deleteAvailable]="false"
                                [editAvailable]="false"
                                [historyAvailable]="false"
                                [keyBackButtonToTranslate]="labelTranslateEnum.backToListMyOrder"
                                [mode]="'detail'"
>
</solidify-button-toolbar-detail>

<div *ngIf="((isLoadingCartObs | async) || (isLoadingArchiveObs | async) || (listObs | async)?.length > 0); else emptyCart"
     [solidifySpinner]="(isLoadingCartObs | async) || (isLoadingArchiveObs | async)"
     class="wrapper"
>
  <dlcm-order-my-order (deleteAllArchive)="deleteAllArchive()"
                       (deleteArchive)="deleteArchive($event)"
                       (navigateToArchive)="navigateToArchive($event)"
                       (requestAccess)="requestAccess($event)"
                       (submitChange)="submit($event)"
                       [listArchives]="listObs | async"
                       [listOptionsDisseminationPolicy]="listOptionsDisseminationPolicy"
                       mode="order-draft"
  ></dlcm-order-my-order>
</div>

<ng-template #emptyCart>
  <div class="empty-cart-wrapper">
    <div class="empty-cart-text">
      <solidify-icon [iconName]="iconNameEnum.emptyCart"
                     class="icon size-50"
      ></solidify-icon>
      <span class="text">{{labelTranslateEnum.thereAreNoCurrentOrderForArchives  | translate}}</span>
    </div>
  </div>
</ng-template>

